summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--src/install.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/src/install.sh b/src/install.sh
index 975845b..f96af60 100644
--- a/src/install.sh
+++ b/src/install.sh
@@ -95,12 +95,10 @@ _install_sha256sum_cb()
install_find_pkgs()
{
- local mirror="${1}"
- local suite="${2}"
- local arch="${3}"
- local plat="${4}"
- local root="${5}"
- shift 5
+ local arch="${1}"
+ local plat="${2}"
+ local root="${3}"
+ shift 3
local opkg_conf_fd=
local pkgs_fd=
local type=
@@ -360,8 +358,7 @@ install_system()
>"${root}/prokit/installing"
info "$(get_msg 'install_find_pkgs')"
- if ! install_find_pkgs "${mirror}" "${suite}" "${arch}" "${plat}" \
- "${root}"; then
+ if ! install_find_pkgs "${arch}" "${plat}" "${root}"; then
return 1
fi
if ! install_get_pkgs "${root}"; then